## javax.media.jai
Interface ParameterList

All Known Implementing Classes:
  ParameterListImpl, ParameterBlockJAI

public interface ParameterList

An interface to represent a list of parameter name-value pairs.

All comparisons using `String`s are done in a case insensitive (but retentive) manner.

Since:
  Java Advanced Imaging 1.1
See Also:
  `ParameterListDescriptor`

Method Summary
`boolean` `getBooleanParameter(java.lang.String paramName)` A convenience method to return a parameter as a `boolean`.
`byte` `getByteParameter(java.lang.String paramName)` A convenience method to return a parameter as a `byte`.
`char` `getCharParameter(java.lang.String paramName)` A convenience method to return a parameter as a `char`.
`double` `getDoubleParameter(java.lang.String paramName)` A convenience method to return a parameter as a `double`.
`float` `getFloatParameter(java.lang.String paramName)` A convenience method to return a parameter as a `float`.
`int` `getIntParameter(java.lang.String paramName)` A convenience method to return a parameter as an `int`.
`long` `getLongParameter(java.lang.String paramName)` A convenience method to return a parameter as a `long`.
`java.lang.Object` `getObjectParameter(java.lang.String paramName)` Gets a named parameter as an `Object`.
`ParameterListDescriptor` `getParameterListDescriptor()` Returns the associated `ParameterListDescriptor`.
`short` `getShortParameter(java.lang.String paramName)` A convenience method to return a parameter as a `short`.
`ParameterList` `setParameter(java.lang.String paramName, boolean b)` Sets a named parameter to a `boolean` value.
`ParameterList` `setParameter(java.lang.String paramName, byte b)` Sets a named parameter to a `byte` value.
`ParameterList` `setParameter(java.lang.String paramName, char c)` Sets a named parameter to a `char` value.
`ParameterList` `setParameter(java.lang.String paramName, double d)` Sets a named parameter to a `double` value.
`ParameterList` `setParameter(java.lang.String paramName, float f)` Sets a named parameter to a `float` value.
`ParameterList` `setParameter(java.lang.String paramName, int i)` Sets a named parameter to an `int` value.
`ParameterList` `setParameter(java.lang.String paramName, long l)` Sets a named parameter to a `long` value.
`ParameterList` `setParameter(java.lang.String paramName, java.lang.Object obj)` Sets a named parameter to an `Object` value.
`ParameterList` `setParameter(java.lang.String paramName, short s)` Sets a named parameter to a `short` value.

Method Detail

### getParameterListDescriptor

    public ParameterListDescriptor getParameterListDescriptor()

  Returns the associated `ParameterListDescriptor`.

### setParameter

    public ParameterList setParameter(java.lang.String paramName,
                                      byte b)

  Sets a named parameter to a `byte` value. Implementing classes are free but not required to check class type, ranges, and enumeration types.
  Parameters:
    `paramName` - a `String` naming a parameter.
    `b` - a `byte` value for the parameter.
  Throws:
    `java.lang.IllegalArgumentException` - if paramName is null.
    `java.lang.IllegalArgumentException` - if there is no parameter with the specified name.

### setParameter

    public ParameterList setParameter(java.lang.String paramName,
                                      boolean b)

  Sets a named parameter to a `boolean` value. Implementing classes are free but not required to check class type, ranges, and enumeration types.
  Parameters:
    `paramName` - a `String` naming a parameter.
    `b` - a `boolean` value for the parameter.
  Throws:
    `java.lang.IllegalArgumentException` - if paramName is null.
    `java.lang.IllegalArgumentException` - if there is no parameter with the specified name.

### setParameter

    public ParameterList setParameter(java.lang.String paramName,
                                      char c)

  Sets a named parameter to a `char` value. Implementing classes are free but not required to check class type, ranges, and enumeration types.
  Parameters:
    `paramName` - a `String` naming a parameter.
    `c` - a `char` value for the parameter.
  Throws:
    `java.lang.IllegalArgumentException` - if paramName is null.
    `java.lang.IllegalArgumentException` - if there is no parameter with the specified name.

### setParameter

    public ParameterList setParameter(java.lang.String paramName,
                                      short s)

  Sets a named parameter to a `short` value. Implementing classes are free but not required to check class type, ranges, and enumeration types.
  Parameters:
    `paramName` - a `String` naming a parameter.
    `s` - a `short` value for the parameter.
  Throws:
    `java.lang.IllegalArgumentException` - if paramName is null.
    `java.lang.IllegalArgumentException` - if there is no parameter with the specified name.

### setParameter

    public ParameterList setParameter(java.lang.String paramName,
                                      int i)

  Sets a named parameter to an `int` value. Implementing classes are free but not required to check class type, ranges, and enumeration types.
  Parameters:
    `paramName` - a `String` naming a parameter.
    `i` - an `int` value for the parameter.
  Throws:
    `java.lang.IllegalArgumentException` - if paramName is null.
    `java.lang.IllegalArgumentException` - if there is no parameter with the specified name.

### setParameter

    public ParameterList setParameter(java.lang.String paramName,
                                      long l)

  Sets a named parameter to a `long` value. Implementing classes are free but not required to check class type, ranges, and enumeration types.
  Parameters:
    `paramName` - a `String` naming a parameter.
    `l` - a `long` value for the parameter.
  Throws:
    `java.lang.IllegalArgumentException` - if paramName is null.
    `java.lang.IllegalArgumentException` - if there is no parameter with the specified name.

### setParameter

    public ParameterList setParameter(java.lang.String paramName,
                                      float f)

  Sets a named parameter to a `float` value. Implementing classes are free but not required to check class type, ranges, and enumeration types.
  Parameters:
    `paramName` - a `String` naming a parameter.
    `f` - a `float` value for the parameter.
  Throws:
    `java.lang.IllegalArgumentException` - if paramName is null.
    `java.lang.IllegalArgumentException` - if there is no parameter with the specified name.

### setParameter

    public ParameterList setParameter(java.lang.String paramName,
                                      double d)

  Sets a named parameter to a `double` value. Implementing classes are free but not required to check class type, ranges, and enumeration types.
  Parameters:
    `paramName` - a `String` naming a parameter.
    `d` - a `double` value for the parameter.
  Throws:
    `java.lang.IllegalArgumentException` - if paramName is null.
    `java.lang.IllegalArgumentException` - if there is no parameter with the specified name.

### setParameter

    public ParameterList setParameter(java.lang.String paramName,
                                      java.lang.Object obj)

  Sets a named parameter to an `Object` value. Implementing classes are free but not required to check class type, ranges, and enumeration types.
  Parameters:
    `paramName` - a `String` naming a parameter.
    `obj` - an `Object` value for the parameter.
  Throws:
    `java.lang.IllegalArgumentException` - if paramName is null.
    `java.lang.IllegalArgumentException` - if there is no parameter with the specified name. pointed to by the paramName.

### getObjectParameter

    public java.lang.Object getObjectParameter(java.lang.String paramName)

  Gets a named parameter as an `Object`. Parameters belonging to a primitive type, such as int, will be returned as a member of the corresponding wrapper class, such as `Integer`.
  Parameters:
    `paramName` - the name of the parameter to be returned.
  Throws:
    `java.lang.IllegalArgumentException` - if paramName is null.
    `java.lang.IllegalArgumentException` - if there is no parameter with the specified name.
    `java.lang.IllegalStateException` - if the parameter value is still ParameterListDescriptor.NO_PARAMETER_DEFAULT

### getByteParameter

    public byte getByteParameter(java.lang.String paramName)

  A convenience method to return a parameter as a `byte`.
  Parameters:
    `paramName` - the name of the parameter to be returned.
  Throws:
    `java.lang.IllegalArgumentException` - if paramName is null.
    `java.lang.IllegalArgumentException` - if there is no parameter with the specified name.
    `ClassCastException` - if the parameter is of a different type.
    `java.lang.IllegalStateException` - if the parameter value is still ParameterListDescriptor.NO_PARAMETER_DEFAULT

### getBooleanParameter

    public boolean getBooleanParameter(java.lang.String paramName)

  A convenience method to return a parameter as a `boolean`.
  Parameters:
    `paramName` - the name of the parameter to be returned.
  Throws:
    `java.lang.IllegalArgumentException` - if paramName is null.
    `java.lang.IllegalArgumentException` - if there is no parameter with the specified name.
    `ClassCastException` - if the parameter is of a different type.
    `java.lang.IllegalStateException` - if the parameter value is still ParameterListDescriptor.NO_PARAMETER_DEFAULT

### getCharParameter

    public char getCharParameter(java.lang.String paramName)

  A convenience method to return a parameter as a `char`.
  Parameters:
    `paramName` - the name of the parameter to be returned.
  Throws:
    `java.lang.IllegalArgumentException` - if paramName is null.
    `java.lang.IllegalArgumentException` - if there is no parameter with the specified name.
    `ClassCastException` - if the parameter is of a different type.
    `java.lang.IllegalStateException` - if the parameter value is still ParameterListDescriptor.NO_PARAMETER_DEFAULT

### getShortParameter

    public short getShortParameter(java.lang.String paramName)

  A convenience method to return a parameter as a `short`.
  Parameters:
    `paramName` - the name of the parameter to be returned.
  Throws:
    `java.lang.IllegalArgumentException` - if paramName is null.
    `java.lang.IllegalArgumentException` - if there is no parameter with the specified name.
    `ClassCastException` - if the parameter is of a different type.
    `java.lang.IllegalStateException` - if the parameter value is still ParameterListDescriptor.NO_PARAMETER_DEFAULT

### getIntParameter

    public int getIntParameter(java.lang.String paramName)

  A convenience method to return a parameter as an `int`.
  Parameters:
    `paramName` - the name of the parameter to be returned.
  Throws:
    `java.lang.IllegalArgumentException` - if paramName is null.
    `java.lang.IllegalArgumentException` - if there is no parameter with the specified name.
    `ClassCastException` - if the parameter is of a different type.
    `java.lang.IllegalStateException` - if the parameter value is still ParameterListDescriptor.NO_PARAMETER_DEFAULT

### getLongParameter

    public long getLongParameter(java.lang.String paramName)

  A convenience method to return a parameter as a `long`.
  Parameters:
    `paramName` - the name of the parameter to be returned.
  Throws:
    `java.lang.IllegalArgumentException` - if paramName is null.
    `java.lang.IllegalArgumentException` - if there is no parameter with the specified name.
    `ClassCastException` - if the parameter is of a different type.
    `java.lang.IllegalStateException` - if the parameter value is still ParameterListDescriptor.NO_PARAMETER_DEFAULT

### getFloatParameter

    public float getFloatParameter(java.lang.String paramName)

  A convenience method to return a parameter as a `float`.
  Parameters:
    `paramName` - the name of the parameter to be returned.
  Throws:
    `java.lang.IllegalArgumentException` - if paramName is null.
    `java.lang.IllegalArgumentException` - if there is no parameter with the specified name.
    `ClassCastException` - if the parameter is of a different type.
    `java.lang.IllegalStateException` - if the parameter value is still ParameterListDescriptor.NO_PARAMETER_DEFAULT

### getDoubleParameter

    public double getDoubleParameter(java.lang.String paramName)

  A convenience method to return a parameter as a `double`.
  Parameters:
    `paramName` - the name of the parameter to be returned.
  Throws:
    `java.lang.IllegalArgumentException` - if paramName is null.
    `java.lang.IllegalArgumentException` - if there is no parameter with the specified name.
    `ClassCastException` - if the parameter is of a different type.
    `java.lang.IllegalStateException` - if the parameter value is still ParameterListDescriptor.NO_PARAMETER_DEFAULT